05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | List of all members
MainWindow Class Reference

Example application window enabling object and image manipulation. More...

`#include <mainwindow.h>`

Inheritance diagram for MainWindow:

## Signals
void | syncThreadStart (int)
void | syncThreadStop ()
void | connectCameraToSyncThread (CameraThread *)
void | disconnectCameraFromSyncThread (CameraThread *)
void | connectProcessorToSyncThread (ProcessorThread *)
void | disconnectProcessorFromSyncThread (ProcessorThread *)
void | writeInfo (QString)

## Public Member Functions
| MainWindow (QWidget *parent=0)
| Creates main window, installs gesture filter, opens message log pane. More...
bool | init (const QString &configFilename="config.xml", const QString &logFilename="", int is_gestures_used=-1)
| Initializes all devices. More...
| ~MainWindow ()

## Detailed Description

Example application window enabling object and image manipulation.

Includes Basler camera interface and two image processing modules: Processor_CameraCalibration and Processor_ObjectExtraction. Links extracted objects feed to ObjectManipulationWindow. Sets up all synchronisation relations between camera and processors. Includes three panes, selected through View menu: main image view, message log and debug interface.

## Constructor & Destructor Documentation

MainWindow | ( | QWidget * | parent = `0` | ) |
| explicit

Creates main window, installs gesture filter, opens message log pane.

Parameters

  parent | parent widget

~MainWindow | ( |  | ) |

## Member Function Documentation

void connectCameraToSyncThread | ( | CameraThread * |  | ) |
| signal

void connectProcessorToSyncThread | ( | ProcessorThread * |  | ) |
| signal

void disconnectCameraFromSyncThread | ( | CameraThread * |  | ) |
| signal

void disconnectProcessorFromSyncThread | ( | ProcessorThread * |  | ) |
| signal

bool init | ( | const QString & | configFilename = `"config.xml"`,
|  | const QString & | logFilename = `""`,
|  | int | is_gestures_used = `-1`
| ) |  |

Initializes all devices.

- loads specified config XML
- connects to robot specified in config file
- searches for available cameras and connects to first one, starts image acquisition and processing pipeline
- on success, after 5 seconds switches to window with camera feed

Parameters

  configFilename | config XML name
  configFilename | log file name
  is_gestures_used | larger than 0 to enable gesture control

void syncThreadStart | ( | int |  | ) |
| signal

void syncThreadStop | ( |  | ) |
| signal

void writeInfo | ( | QString |  | ) |
| signal

The documentation for this class was generated from the following file:

- 05RobotApp/mainwindow.h